package com.chenyang.nse.bussiness.entity.orm.table.core.encryption;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_ENCRYPTION_LOG"
)
public class TCoreEncrypLog extends TBaseEntity {
   @Column(
      length = 128
   )
   private String operModule;
   @Column(
      length = 128
   )
   private String operptionMassage;
   @Column(
      length = 128
   )
   private String operptionUser;
   @Column(
      length = 50
   )
   private String tableName;
   @Column(
      length = 50
   )
   private String fieldName;
   @Column(
      length = 50
   )
   private String encryptionType;
   @Column(
      length = 128
   )
   private String dataSystemId;
   @Column(
      length = 128
   )
   private String projectId;
   @Column(
      length = 128
   )
   private String schemaName;
   @Column(
      length = 128
   )
   private String code;
   @Column(
      length = 255
   )
   private String column_enc;

   public String getOperModule() {
      return this.operModule;
   }

   public void setOperModule(String operModule) {
      this.operModule = operModule;
   }

   public String getOperptionMassage() {
      return this.operptionMassage;
   }

   public void setOperptionMassage(String operptionMassage) {
      this.operptionMassage = operptionMassage;
   }

   public String getOperptionUser() {
      return this.operptionUser;
   }

   public void setOperptionUser(String operptionUser) {
      this.operptionUser = operptionUser;
   }

   public String getTableName() {
      return this.tableName;
   }

   public void setTableName(String tableName) {
      this.tableName = tableName;
   }

   public String getFieldName() {
      return this.fieldName;
   }

   public void setFieldName(String fieldName) {
      this.fieldName = fieldName;
   }

   public String getEncryptionType() {
      return this.encryptionType;
   }

   public void setEncryptionType(String encryptionType) {
      this.encryptionType = encryptionType;
   }

   public String getDataSystemId() {
      return this.dataSystemId;
   }

   public void setDataSystemId(String dataSystemId) {
      this.dataSystemId = dataSystemId;
   }

   public String getProjectId() {
      return this.projectId;
   }

   public void setProjectId(String projectId) {
      this.projectId = projectId;
   }

   public String getSchemaName() {
      return this.schemaName;
   }

   public void setSchemaName(String schemaName) {
      this.schemaName = schemaName;
   }

   public String getCode() {
      return this.code;
   }

   public void setCode(String code) {
      this.code = code;
   }

   public String getColumn_enc() {
      return this.column_enc;
   }

   public void setColumn_enc(String column_enc) {
      this.column_enc = column_enc;
   }
}
